/* استایل‌های ریسپانسیو */

/* تنظیمات کلی برای جلوگیری از اسکرول افقی */
html, body {
    max-width: 100%;
    overflow-x: hidden;
}

/* برای نمایشگرهای بزرگ‌تر از 1400px */
@media screen and (max-width: 1400px){
	.min-sections .section3 .main_info {width: 30%;}	
	.min-sections .section3 .main_info h1 {    font-size: 1rem;}
}


/* برای نمایشگرهای بزرگ‌تر از 1200px */
@media screen and (max-width: 1200px){
	.site-header {}	
	.site-header .logo {width: 100px;}
	.site-header .logo img {width: 90px;}
	.header-menu {gap: 5px;}
	.header-menu li a {font-size: 11px;}
	.site-header .social ul li .svg{width: 10px;height: 10px;}
	.min-sections {align-items: flex-start;}
	.main_info {display: flow-root;}
	.main_info h1 {font-size: 1.5rem;}
	.min-sections .section1 .btn {padding: 10px;margin-right: 220px;font-size: 0.6rem;}
	.min-sections .section3 .main_info {display: contents;margin-top: 0;}
	.min-sections .section3 .main_info h1 {font-size: 1rem;}
	.min-sections .section3 .main_info h2 {font-size: 1rem;}
	.player-container {float: none;}
	.player-container .player-controls {padding: calc(10px* 1);}
	.player-container .player-playlist {padding-left: calc(0px* 0);margin-right: -35px;}
	.player-container .player .player-element.player-element-lp {    margin-inline: 10px;}
	.player-container .player .player-element.player-element-tonearm {margin-right: 0px;margin-top: -20px;}
	
		.packagestud {width: 100%;}
	.svi-wrapper {width: 50%;}
	.distplan {width: 30%;}
	.min-sections .min-sectionsport {gap: 10px;width: 100%;        justify-content: center;}	
	.min-sections .services  {gap: 20px;}
	
	
.footer {align-items: end;}
.footer .section1 {width: 33%;height: min-content;}
.footer .section1 .instrument-fixed {width: 80px;}
.footer .section1 .instrument {width: 200px;margin-top: 70px;}
.footer .section1 .instrument img {width: 20%;max-width: 20%;}	
.footer .section2 {width: 30%;height: min-content;}
.footer .section3 {width: 30%;height: min-content;}
.footer .copyright {font-size: 0.8rem;}
}


/* برای تبلت‌ها (992px) */
@media screen and (max-width: 992px) {
	.packagestud {width: 100%;}
}

/* برای موبایل‌ها (768px) */
@media screen and (max-width: 768px) {
.container, .header,.content, .hero, .menu, .site-header {width: 95%;	}	
.site-header .logo img {width: 80px;}
.min-sectionsprice {width: 100%;display: flex;flex-wrap: wrap;height: auto;}
.distplan{margin:0 auto;width: 100%;}
.svi-wrapper {width: 100%;}	
.packagestud {width: 100%;}	
.h_iframe-aparat_embed_frame {width: 100%;margin: 0 auto;}
.postimagecover img{width: 100% !important;margin: 0 auto;float: inline-end;}
	
.header-menu li a {font-size: 18px;}	
.main_info {padding-top: 0;display: inline-flex;flex-wrap: wrap;justify-content: center;}
.main_info h1 {font-size: 2rem;font-weight: 700;margin: 10px 0 20px 0;}

.main_info h2 {margin-top: -20px;}
.min-sections .section1 {display: flex;float: right;height: -webkit-fill-available;width: 95%;position: relative;margin: 0 auto;}
.min-sections .section1 .btn {margin-right: 220px;margin-top: 60px;}
.min-sectionsabout {width: 100%;gap: 10px;}
.min-sectionsabout .section1 {margin-right:0;margin: 0 auto;}
.min-sectionsabout .section2 {margin-right:0;margin: 0 auto;}
.min-sectionsabout .section3 {margin-right:0;margin: 0 auto;}
.min-sections .min-sectionsport {width: 95%;display: flex;flex-wrap: wrap;gap: 25px;margin: 0 auto;}
.post-portfolio {margin: 0 auto;}	
.pagination {margin: 0 auto;display: flex;}
.min-sections .section2 {width: 95%;display: inline-flex;height: 400px;}		
.boxx {width: 100%;height: 100%;}
.boxx .logo {display: inline-flex;margin-top: 50px;margin-left: 500px;margin-inline-start: 20px;width: 300px;height: 300px;position: relative;}
.boxx .logo::after { width: 300px;height: 300px;}
.boxx .ring {width: 400px;height: 400px;}
.boxx .ring .particle {width: 400px;height: 400px;}
.boxx .ring2 .particle {width: 370px;height: 370px;}
.boxx .ring3 .particle {width: 340px;height: 340px;}
.blog-buttons-wrapper {
flex-wrap: nowrap;
        gap: initial;
  }
.blog-glassy-button {width: 90%;min-width: unset;margin: 0.5rem 0;font-size: 15px !important;align-content: center;}	
	
.min-sections .section3 {width: 95%;display: flow;align-self: center;margin-top:20px;}
.min-sections .section3 .main_info {display: contents;width: 95%;margin: 0;padding: 10px;}
.min-sections .section3 .main_info h1 {font-size: 1.5rem;}
.min-sections .section3 .main_info h2 {margin-top: 0;font-size: 1rem;}	
.player-container {width: 300px;float: none;}
.player-container p {font-size: 2rem !important;font-weight: 500;padding-top: 10px;}
.player-container .player-playlist {font-size: 1.5rem;}	
.player-container .player .player-element.player-element-tonearm {width: 90%;margin-inline: 20px !important;}
.player-container .player-controls {display: flex;justify-content: space-between;width: 100%;padding: calc(2px* 2);box-sizing: border-box;align-items: center;scale: 1;}		
.site-header .social{display: flex;align-self: anchor-center;position: absolute;margin-inline: 45px;}	
.site-header .social ul li .svg{width: 16px;height: 16px;}
.hamburger {display: flex;width: 100%;align-items: end;}
.header-menu {position: absolute;top: 60px;right: 0;background: #bab28e;flex-direction: column;width: 100%;display: none;text-align: center;padding: 10px 0;z-index: 1000;box-shadow: 0px 5px 10px rgba(0, 0, 0, 0.1);}
.header-menu li {margin: 10px 0;}
.header-menu.active {display: flex;}
h1 {font-size: 1.8rem;}p {font-size: 1rem;}
.logo {width: 80px;}.footer, .header, .hero, .content, .min-sections {flex-direction: column;text-align: center;}.button {width: 100%;font-size: 1rem;}
.image-container img {width: 100%;height: auto;}.instrument img {width: 70px;}
.footer {display: flex;width: 95%;flex-wrap: wrap;margin: 0 auto;}
.footer .section1 {display: inline-grid;align-self: center;width: 95%;height: min-content;}
.footer .section1 .instrument-container {justify-content: center;margin-left: 0;flex-direction: row;align-items: center;width: 100%;}
.footer .section1 .instrument-fixed {width: 80px;margin-bottom: 10px;}
.footer .section1 .instrument {margin-top: 60px;}
.footer .section1 .instrument img {width: 50px;}
.footer .section2 {width: 100%;display: flex;height: min-content;}
.footer .section2 img {width: 70% !important;display: flex;}
.footer .section3 {width: 100%;display: flex;height: min-content;justify-content: center;}
.footer .section3 img {width: 76% !important;height: fit-content;margin-top: 0;}	
.footer .copyright {margin-top: 0;font-size: 15px;}
.min-sections .services1 .info-item {margin: 0 auto;}
.min-sections .services1 .table-item {margin: 0 auto;}
.mixbox {padding: 15px;max-width: 100%;margin-top: 10px;}
.mixbox h2 {font-size: 20px;}
.mixbox ul li {font-size: 14px;}
.mixbox .example {font-size: 14px;}
#distribution1 {width: 100%;margin-top: 10px;}	
#distribution1 .container {flex-direction: column;display: grid;}
.distelementor .cards {flex-direction: row;align-items: center;display: flex;}
.distelementor {margin: 0 auto;width: 355px;}
.gallery {display: flow;float: right;width: 350px;margin: 0 auto;--size: 20px;place-items: normal;}
.gallery img {FONT-VARIANT: JIS04;width: calc(var(--size)* 4);height: calc(var(--size)* 9);object-fit: cover;grid-column: auto / span 2;margin-right: 6px;}
.min-sections .studio .studio2 {width: 100%;height: auto;display: flow;margin: 0 auto;}
.logo-box-container {grid-template-columns: repeat(auto-fill, minmax(140px, 1fr));place-items: flex-start;padding: 0 !important;display: flex !important;flex-wrap: wrap;justify-content: space-around;}	
.logo-box-container .logo-box {width: 80px !important;height: 80px !important;}
.faq-container {max-width: 90%;margin: 10px auto;padding: 15px;}
.faq-title {font-size: 20px;}
.faq-item h3 {font-size: 16px;line-height: normal;}
.faq-item p {font-size: 14px;}
.bankmehr {max-width: 100%;margin-top: 20px;}
.formedraak {margin-bottom:20px;margin-top: 20px;width: 315px;}
.formedraak p{width: 315px;}
.formedraak .your-name  {width:150px;}
.formedraak .your-name input {width:140px;}
.formedraak .your-email {width:150px;}
.formedraak .your-email input {width:140px;}
.formedraak .your-phone {width:150px;}
.formedraak .your-phone input {width:140px;}
.formedraak .your-subject {width:150px;}
.formedraak .your-subject input {width:140px;}
	.postsingle .right {width: 350px;margin: 0 auto;}
	.postsinglethumbnail {float: none;margin: 0 auto;}
	.postsingle .post-title {width:95%;}
	.postsingle {gap:10px}
	.postsingle .post-content {background: #f0ffff59;width: 100%;height: auto;}
	.postsingle .post-tags {    width: 100%;}
	.postsingle .post-content .content-download .music-player {    width: 70%;}
	#search-form {flex-wrap: wrap;}
	#search-input {width: 100%;}
	            .postsingle .post-content table {
                font-size: 14px;
            }
            .postsingle .post-content audio {
                width: 100%;
            }

	  .floating-image {
    width: 100px;
    height: 100px;
  }
	
}

/* برای نمایشگرهای خیلی کوچک‌تر از 480px */
@media screen and (max-width: 480px) {
    .hero {
        padding: 20px;
        text-align: center;
    }
    .hero h1 {
        font-size: 1.5rem;
    }
    .button {
        width: 100%;
        font-size: 1rem;
    }
    .menu, .sidebar {
        display: none;
    }
    .content img {
        max-width: 100%;
        height: auto;
    }
	  .blog-glassy-button {
    font-size: 0.9rem;
    padding: 0.8rem 2rem;
  }
    .footer p {
        font-size: 0.9rem;
    }
    .site-header .logo {
        width: 150px;
    }
    .instrument img {
        width: 50px;
    }
}

